std::time_base(3)

NAME
std::time_base - std::time_base

Synopsis
   Defined in header <locale>
   class time_base;
   The class std::time_base provides the date order constants which are inherited by
   the std::time_get facets.

Member types
   Member type Definition
   enum dateorder { no_order, dmy, mdy, ymd, ydm }; Unscoped enumeration type
   Enumeration constant Definition
   no_order Unspecified order
   dmy Day, month, year (european) order
   mdy Month, day, year (american) order
   ymd Year, month, day
   ydm Year, day, month

See also
   do_date_order obtains preferred ordering of day, month, and year
   [virtual] (virtual protected member function of std::time_get<CharT,InputIt>)
   do_get_date extracts month, day, and year from input stream
   [virtual] (virtual protected member function of std::time_get<CharT,InputIt>)